ESHCONFIG(8)

NAME
eshconfig - configure Essential Communications' HIPPI network interface

SYNOPSIS
eshconfig [-estx] [-b bytes] [-c bytes] [-d filename] [-i usecs] [-m bytes] [-r bytes] [-u filename] [-w bytes] [interface]

DESCRIPTION
eshconfig is used to configure device-specific parameters and download new firmware to the Essential Communications RoadRunner-based HIPPI network interface. The interface is very sensitive to the DMA performance characteristics of the host, and so requires careful tuning to achieve reasonable performance. In addition, firmware is likely to change frequently, which necessitates a reasonably easy way to update that firmware.

Available operands for eshconfig:

-b bytes
    Adjust the burst size for read (by NIC of host memory) DMA.

-c bytes
    Adjust the burst size for write (by NIC of host memory) DMA.

-d filename
    Filename for file to download into NIC firmware. This must be a file in the standard Essential format, with :04 preceding every line, and a tag line at the end indicating the characteristics of the firmware file.

-e  Write data to EEPROM. Normally, setting tuning parameters will only persist until the system is rebooted. Setting this parameter ensures that the changes will be written to EEPROM.

-i usecs
    Interrupt delay in microseconds.

-m bytes
    Minimum number of bytes to DMA in one direction (read or write) before allowing a DMA in the other direction. Tuning this prevents one direction from dominating the flow of bytes, and artificially throttling the NIC.

-r bytes
    Bytes before DMA starts for read (from host to NIC). This controls how soon the DMA is triggered; until this many bytes are requested, the DMA will not begin.

-s  Show statistics for the HIPPI NIC. Repeat the option to suppress non-zero statistics.

-t  Show current tuning parameters on the host.

-u filename
    Name of file to which the NIC firmware should be uploaded. Not currently supported.

-w bytes
    Number of bytes required before write (from NIC to host) DMA is started. Until this many bytes are ready to be written, the DMA will not start.

-x  Reset the NIC. This is necessary for the HIPPI-FP support, as ifconfig(8) will no longer physically reset the NIC when the interfaces goes up and down.

Only the super-user may modify the configuration of a network interface.

DIAGNOSTICS
Messages indicating the specified interface does not exist or the user is not privileged and tried to alter an interface's configuration.

SEE ALSO
esh(4), ifconfig(8)

HISTORY
The eshconfig command first appeared in NetBSD 1.4.